# EDIT IN SVN NOT IN SOURCE PACKAGE (NO PATCH ALLOWED).

%define name mandi
%define version 1.2
%define release %mkrel 2

Summary:	Monitoring daemon bridge
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.bz2
License:	GPL
Group:		Networking/Other
Url:		http://cvs.mandriva.com/cgi-bin/cvsweb.cgi/soft/mandi/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:  dbus-devel
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires:       dbus

%description
Mandi is a monitoring daemon which acts as a bridge from root
monitoring libraries to user applications, using D-Bus.
Its plugin system allows to monitor different kind of events.
A built-in plugin forwards wireless scan results from wpa_supplicant
to user applications.

%package ifw
Summary:	Firewall rules for Interactive Firewall
Group:		Networking/Other
Requires:       mandi = %{version}
Requires:       ipset

%description ifw
This package contains the iptables rules used to forward intrusion
detections to the mandi daemon.
It is a component of Interactive Firewall.

%prep
%setup -q

%build
%make

%install
rm -rf %{buildroot}
install -D -m755 src/%{name} %{buildroot}%{_sbindir}/%{name}
install -D -m644 conf/%{name}.conf %{buildroot}%{_sysconfdir}/dbus-1/system.d/%{name}.conf
install -D -m755 scripts/%{name}.init %buildroot%{_initrddir}/%{name}
install -d -m755 %buildroot%{_sysconfdir}/ifw/rules.d/
install -m644 rules.d/* %buildroot%{_sysconfdir}/ifw/rules.d/
install -m644 scripts/{start,stop} %{buildroot}%{_sysconfdir}/ifw
touch %{buildroot}/%{_sysconfdir}/ifw/whitelist

%clean
rm -rf %{buildroot}

%post
%_post_service mandi

%preun
%_preun_service mandi

%files
%defattr(-,root,root)
%{_sbindir}/%{name}
%config %{_sysconfdir}/dbus-1/system.d/%{name}.conf
%{_initrddir}/mandi

%files ifw
%dir %{_sysconfdir}/ifw/
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/ifw/whitelist
%{_sysconfdir}/ifw/start
%{_sysconfdir}/ifw/stop
%{_sysconfdir}/ifw/rules.d/*




%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.2-2.mga3
+ Revision: 359406
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 04 2011 blino <blino> 1.2-1.mga2
+ Revision: 176050
- 1.2

* Mon Feb 14 2011 misc <misc> 1.0-10.mga1
+ Revision: 51615
- do not replace com.mandriva in dbus configuration, as this break
  the whole software and the API for no good reason

* Fri Feb 11 2011 ennael <ennael> 1.0-9.mga1
+ Revision: 50091
- replace mandriva in dbus rule conf
- imported package mandi

